<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Koneko\VuexyStoreManager\Models\Currency;

class CurrencySeeder extends Seeder
{
    /**
     * Lista de divisas a insertar.
     */
    protected static array $divisas = [
        [
            'c_currency' => 'MXN',
            'symbol' => '$',
            'used_in_purchases' => true,
            'used_in_sales' => true,
            'used_in_ecommerce' => false,
            'main_currency' => true,
            'auto_update_exchange_rates' => true,
            'update_interval' => 24,
            'status' => Currency::STATUS_ENABLED,
        ],
        [
            'c_currency' => 'USD',
            'symbol' => '$',
            'used_in_purchases' => true,
            'used_in_sales' => true,
            'used_in_ecommerce' => false,
            'main_currency' => false,
            'auto_update_exchange_rates' => true,
            'update_interval' => 24,
            'status' => Currency::STATUS_ENABLED,
        ],
        [
            'c_currency' => 'EUR',
            'symbol' => '€',
            'used_in_purchases' => true,
            'used_in_sales' => true,
            'used_in_ecommerce' => false,
            'main_currency' => false,
            'auto_update_exchange_rates' => true,
            'update_interval' => 24,
            'status' => Currency::STATUS_ENABLED,
        ],
        [
            'c_currency' => 'GBP',
            'symbol' => '£',
            'used_in_purchases' => true,
            'used_in_sales' => false,
            'used_in_ecommerce' => false,
            'main_currency' => false,
            'auto_update_exchange_rates' => true,
            'update_interval' => 24,
            'status' => Currency::STATUS_ENABLED,
        ],
        [
            'c_currency' => 'JPY',
            'symbol' => '¥',
            'used_in_purchases' => true,
            'used_in_sales' => false,
            'used_in_ecommerce' => false,
            'main_currency' => false,
            'auto_update_exchange_rates' => true,
            'update_interval' => 24,
            'status' => Currency::STATUS_ENABLED,
        ],
    ];

    /**
     * Run the database seeds.
     */
    public function run()
    {
        foreach (self::$divisas as $divisa) {
            Currency::updateOrCreate(
                ['c_currency' => $divisa['c_currency']], // Clave única
                $divisa // Valores a insertar/actualizar
            );
        }

        $this->command->info('Divisas insertadas/actualizadas correctamente.');
    }
}
