import {routes} from '../../../../../laravel-vuexy-admin/resources/assets/js/bootstrap-table/globalConfig.js';

export const motivoCancelacionFormatter = (value, row, index) => {
    let motivos = {
        '01': 'Comprobantes emitidos con errores con relación',
        '02': 'Comprobantes emitidos con errores sin relación',
        '03': 'No se llevó a cabo la operación',
        '04': 'Operación nominativa en factura global'
    };

    let colores = {
        '01': 'warning',
        '02': 'danger',
        '03': 'info',
        '04': 'primary'
    };

    return `<span class="badge bg-label-${colores[value] || 'secondary'}">${motivos[value] || 'Desconocido'}</span>`;
};

export const objetoImpFormatter = (value, row, index) => {
    switch (parseInt(value)) {
        case 1:
            return '01 - No objeto de impuesto';
        case 2:
            return '02 - Sí objeto de impuesto';
        case 3:
            return '03 - Sí objeto del impuesto y no obligado al desglose';
        case 4:
            return '04 - Sí objeto del impuesto y no causa impuesto';
    }
}

export const claveProdServFormatter = (value, row, index) => {
    if (row.c_clave_prod_serv)
        return row.c_clave_prod_serv + (row.clave_prod_serv == undefined ? '' : ' - ' + row.clave_prod_serv);
}

export const claveUnidadFormatter = (value, row, index) => {
    if (row.c_clave_unidad)
        return row.c_clave_unidad + ' - ' + row.clave_unidad;
}

export const monedaFormatter = (value, row, index) => {
    if (value)
        return "<div style='min-width: 150px'>" + value + " - " + row.moneda + "</div>";
}

export const uuidFormatter = (value, row, index) => {
    if (value)
        return `<span style="min-width:330px; display:block;">${value.toUpperCase()}</span>`;
}

export const emisorRegimenFiscalFormatter = (value, row, index) => {
    if (row.emisor_c_regimen_fiscal)
        return row.emisor_c_regimen_fiscal + ' - ' + row.emisor_regimen_fiscal;
}

export const receptorRegimenFiscalFormatter = (value, row, index) => {
    if (row.receptor_c_regimen_fiscal)
        return row.receptor_c_regimen_fiscal + ' - ' + row.receptor_regimen_fiscal;
}

export const emisorUsoCfdiFormatter = (value, row, index) => {
    if (row.receptor_c_uso_cfdi)
        return row.receptor_c_uso_cfdi + ' - ' + row.receptor_uso_cfdi;
}

export const tipoPersonaFormatter = (value, row, index) => {
    switch (parseInt(value)) {
        case 0:
            return 'RFC inválido';
        case 2:
            return 'Persona moral';
        case 1:
            return 'Persona física';
        case 9:
            return 'Público en general';
    }
}

export const metodoPagoFormatter = (value, row, index) => {
    switch (value) {
        case 'PUE':
            return 'PUE - Pago en una sola exhibición';
        case 'PPD':
            return 'PPD - Pago en parcialidades o diferido';
    }
}

export const formaPagoFormatter = (value, row, index) => {
    if (row.c_forma_pago)
        return String(row.c_forma_pago).padStart(2, '0') + ' - ' + row.forma_pago;
}

export const usoCfdiFormatter = (value, row, index) => {
    if (row.c_uso_cfdi)
        return value ? `<span class="text-nowrap">${row.c_uso_cfdi} - ${row.uso_cfdi}</span>` : '';
}

export const regimenFiscalFormatter = (value, row, index) => {
    if (row.c_regimen_fiscal)
        return value ? `<span class="text-nowrap">${row.c_regimen_fiscal} - ${row.regimen_fiscal}</span>` : '';
}
